Subject: [ORCID Support] Re: Register a client application: Sandbox Member API navari family center for digital scholarship, hesburgh libraries, university of notre dame
From: "Jordan Holt (Support)" <[email-masked]>
To: emorgan <[email-masked]>
Date: Thu, 20 Jul 2023 12:33:41 +0000

##- Please type your reply above this line -##

Your request (#495806) has been updated. To add additional comments, please reply to this email or click the link below:

https://www.google.com/url?q=https://support.orcid.org/hc/requests/495806&source=gmail-imap&ust=1690461223000000&usg=AOvVaw39iNJcMwwM-28Vl_lC4DmQ

----------------------------------------------

Jordan Holt, Jul 20, 2023, 08:33 EDT

Hi Eric,

Thanks for following up.

As requested I've registered the two redirects URIs to your client application. The redirect: https://www.google.com/url?q=https://distantreader.org/login/callback&source=gmail-imap&ust=1690461223000000&usg=AOvVaw3NDgPnC8Awox-EWoJb3ssk which was included in your application, was registered however it was mistakenly omitted in my reply.

> In my application I can now configure and send a user to ORCID for authentication, but the call back (redirect) URL points to a Google debugging tool, and I need it to point to my application.

The redirect location is defined in the authorization link which you build by specifying your API credentials’ client ID and associated landing page (redirect URI). The Google OAuth playground allows you to exchange the authorization code for an access token - which cannot be done client side - so it serves as a convenient tool when testing. However, you can certainly change the redirect as needed when testing by specifying the desired redirect in the `redirect_uri` parameter of the authorization link:

    https://www.google.com/url?q=https://sandbox.orcid.org/oauth/authorize?client_id%3D%5BAPP-****************%5D%26response_type%3Dcode%26scope%3D/read-limited%2520/activities/update%2520/person/update%26redirect_uri%3Dhttp://localhost:8080/login_callback&source=gmail-imap&ust=1690461223000000&usg=AOvVaw3QCh3VNZg_6kvkfibjjpmV

I've included a few resources you may find helpful as you begin testing the API in our sandbox. The Hands-on tutorial provides a great introduction to the API:

- How do redirect URIs work?

- Hands on with the ORCID API

- Integration and API FAQ

Please let me know if you have any questions.

Best,

Jordan

Member Support Technical Specialist

https://www.google.com/url?q=https://orcid.org/0000-0002-5391-5437&source=gmail-imap&ust=1690461223000000&usg=AOvVaw09EXXmiawYgUvpNYoeBKqX

Please add multiple emails to your ORCID record - to ensure you don't lose access if you change institutions, and avoid setting up a duplicate record.

----------------------------------------------

emorgan, Jul 20, 2023, 08:05 EDT

Again, thank you for the credentials, but now I need a call back URL that functions in my application.

In my application I can now configure and send a user to ORCID for authentication, but the call back (redirect) URL points to a Google debugging tool, and I need it to point to my application.

How can you (or I) include one or both of the following URLs as possible call backs:

 * https://www.google.com/url?q=http://localhost:8080/login_callback&source=gmail-imap&ust=1690461223000000&usg=AOvVaw2i8lZX5C4mwsKHl-M4j4kM

 * https://www.google.com/url?q=https://distantreader.org/stacks/indexes/login_callback&source=gmail-imap&ust=1690461223000000&usg=AOvVaw2_RP8WQIXL92_wg5vq0Sbx

--

Eric Morgan

University of Notre Dame

----------------------------------------------

emorgan, Jul 19, 2023, 16:32 EDT

Thank you for the prompt reply, but the content is a bit of surprise to me. 

The ID and secret make sense. Thank you.

I don't understand the redirect URL. I thought I was expected to get a redirect URL that pointed to my domain. Did I miss something in the documentation? All the services there are Google-based. If I want to learn how to authenticate against ORCID, then do you want me to practice the Oauth thing listed on https://www.google.com/url?q=https://developers.google.com/oauthplayground&source=gmail-imap&ust=1690461223000000&usg=AOvVaw1_oPXMplmu1GzRlL8PqOXZ?

--

Eric Morgan

----------------------------------------------

Jordan Holt, Jul 19, 2023, 15:46 EDT

Hello Eric,

Thank you for your interest in the ORCID Registry.

Your client credentials for the ORCID sandbox are as follows:

**Client ID:**

APP-2G0DPHEC44CY775V

**Client secret:**

70690c3a-dcff-407b-b06f-0770b1be5055

Redirect URIs:

https://www.google.com/url?q=https://developers.google.com/oauthplayground&source=gmail-imap&ust=1690461223000000&usg=AOvVaw1_oPXMplmu1GzRlL8PqOXZ

**Creating a testing user account:**

In order to test the ORCiD API and API calls, such as a reading and adding information to an ORCID record in the sandbox testing server, you will also need to create a test ORCID record in the sandbox. This can be done through the user interface, much like on the production ORCID Registry. Go to https://www.google.com/url?q=https://sandbox.orcid.org/register&source=gmail-imap&ust=1690461223000000&usg=AOvVaw3Dm-yqLlEBUNw94T_j-3u2 and register for an account.

**Receiving the verification email to validate the testing user account:**

Please note that the sandbox is configured to send emails only to @mailinator.com addresses. Mailinator.com is a free inbox testing service; for more information, see: Mailinator.

In order to receive emails from the sandbox, please make the primary address on your sandbox test account a @mailinator.com address.

Process for a Mailinator email address.

- Go to https://www.google.com/url?q=https://mailinator.com&source=gmail-imap&ust=1690461223000000&usg=AOvVaw32hCxw833WUCNbpi2_xICs

- At the top of the screen, look for a text box

- Enter the user name you would like to use (ex. orcid), click Go, this will become your Mailinator email address, ex. [email-masked]

**Populating a testing user account:**

The sandbox testing server is a copy of the ORCID Registry software, and only contains testing data.

As such, please note the following:

- You must add test data to the test user account

- ORCID iDs registered in our production environment are not accessible in the sandbox

For more information on how to get started with the ORCID API, including setting up a test user account and data, please see the following tutorial: Hands on with the ORCID API

**Getting started with your integration:**

Please ensure that you review our member support center documentation before you start planning your integration.

You can also find example calls and XML files in our GitHub repository.

- Members Support Center

- GitHub technical documentation

- Integration best practices

We also strongly recommend that you join the ORCID API listserv at ORCID API Users Group, where you can connect with other developers and API users, as well as with the ORCID technical team. It is also the community support location for organizations that are not yet ORCID members.

As a member of the ORCID US Community, you can get technical support for your integration from the consortia lead organization, Lyrasis. So if you have any questions or problems with your API integration, please contact them at [email-masked]. We work closely with them, and they will escalate any complex questions or issues you may have to us so that we can help you directly if needed.

If you need to update your API credentials in future, please contact us with the requested changes.

For other questions or support issues relating to your ORCID integration, please contact your consortia lead organization in the first instance, as noted above.

Best regards,

Jordan

Member Support Technical Specialist

https://www.google.com/url?q=https://orcid.org/0000-0002-5391-5437&source=gmail-imap&ust=1690461223000000&usg=AOvVaw09EXXmiawYgUvpNYoeBKqX

Please add multiple emails to your ORCID record - to ensure you don't lose access if you change institutions, and avoid setting up a duplicate record.

----------------------------------------------

emorgan, Jul 18, 2023, 16:38 EDT

Update existing credentials?: No

Email address: [email-masked]

Contact Name: eric lease morgan

Name of your organization: navari family center for digital scholarship, hesburgh libraries, university of notre dame

What type of credentials would you like?: Basic: Trusted-Party (Read from/Write to records)

Name of your client application: distantreader

Short description of your client application: This client application is used to authenticate people against the Distant Reader.

URL of the home page of your application: https://www.google.com/url?q=https://distantreader.org/&source=gmail-imap&ust=1690461223000000&usg=AOvVaw10_SR6rfLSWWmq6ocnanrZ

Redirect URI 1: https://www.google.com/url?q=https://distantreader.org/stacks/indexes/login/callback&source=gmail-imap&ust=1690461223000000&usg=AOvVaw0ZsUS9reyZwhTbeediDRmD

Redirect URI 2: https://www.google.com/url?q=https://distantreader.org/login/callback&source=gmail-imap&ust=1690461223000000&usg=AOvVaw3NDgPnC8Awox-EWoJb3ssk

 ![](https://www.google.com/url?q=http://email.info.orcid.org/o/eJw8yDEWwiAMANDTlJEXQhLCwGEiDcoifaj3d-v6z6bGLhK8JdFaEhbU8GrsRpJVMteRh_qDzZ27JlPgCj3MhoAZSlKErKQRyHrHwoaEIJIOgvkeK67d5xnXfobdPr_rWvt7ENz6DwAA__-OiSRc&source=gmail-imap&ust=1690461223000000&usg=AOvVaw02N-BBLfBHrp9zS-5SGaiD)

Attachment(s):

ninja-forms-submission.csv - https://www.google.com/url?q=https://support.orcid.org/attachments/token/ShJMyWaGdDI6WDjt3UybRkG7g/?name%3Dninja-forms-submission.csv&source=gmail-imap&ust=1690461223000000&usg=AOvVaw0CgwDLVTK83qY-oR4_fsR9

--------------------------------

This email is a service from ORCID Support.

[PYRM29-NPNL1]